POST api/setProblemCoordinates
Установить проблемную координату
Request Information
URI Parameters
None.
Body Parameters
Запрос
TMSSetProblemCoordinatesReq| Name | Description | Type | Additional information |
|---|---|---|---|
| Latitude | decimal number |
None. |
|
| Longitude | decimal number |
None. |
Request Formats
application/json, text/json
Sample:
{
"Latitude": 1.0,
"Longitude": 2.0
}
application/xml, text/xml
Sample:
<TMSSetProblemCoordinatesReq xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Dynamics.Ax.Application"> <Latitude>1</Latitude> <Longitude>2</Longitude> </TMSSetProblemCoordinatesReq>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
TMSSetProblemCoordinatesResp_CMF| Name | Description | Type | Additional information |
|---|---|---|---|
| AdditionalInfo | Collection of string |
None. |
|
| ErrorCode | integer |
None. |
|
| ExtDuration | integer |
None. |
|
| InfoLog | string |
None. |
|
| errorMessage | string |
None. |
|
| isError | integer |
None. |
|
| strResponse | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"AdditionalInfo": [
"sample string 1",
"sample string 2"
],
"ErrorCode": 1,
"ExtDuration": 2,
"InfoLog": "sample string 3",
"errorMessage": "sample string 4",
"isError": 5,
"strResponse": "sample string 6"
}
application/xml, text/xml
Sample:
<TMSSetProblemCoordinatesResp_CMF xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Dynamics.Ax.Application">
<AdditionalInfo xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:string>sample string 1</d2p1:string>
<d2p1:string>sample string 2</d2p1:string>
</AdditionalInfo>
<ErrorCode>1</ErrorCode>
<ExtDuration>2</ExtDuration>
<InfoLog>sample string 3</InfoLog>
<errorMessage>sample string 4</errorMessage>
<isError>5</isError>
<strResponse>sample string 6</strResponse>
</TMSSetProblemCoordinatesResp_CMF>